petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSRKSetType

Set the type of RK scheme

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSRKSetType(TS ts,TSRKType rktype)

Logically collective

### Input Parameter

| ts | - timestepping context
| rktype | - type of RK-scheme

### Options Database

-ts_rk_type -<1fe,2a,3,3bs,4,5f,5dp,5bs>

### See Also

TSRKGetType(), TSRK, TSRKType, TSRK1FE, TSRK2A, TSRK3, TSRK3BS, TSRK4, TSRK5F, TSRK5DP, TSRK5BS

### Level

intermediate

### Location

src/ts/impls/explicit/rk/rk.c

### Implementations

TSRKSetType_RK in src/ts/impls/explicit/rk/rk.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages